summaryrefslogtreecommitdiff
path: root/source4/script/tests/test_nbt.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script/tests/test_nbt.sh')
-rwxr-xr-xsource4/script/tests/test_nbt.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/source4/script/tests/test_nbt.sh b/source4/script/tests/test_nbt.sh
new file mode 100755
index 0000000000..23a04cf413
--- /dev/null
+++ b/source4/script/tests/test_nbt.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+# test some NBT/WINS operations
+
+if [ $# -lt 1 ]; then
+cat <<EOF
+Usage: test_nbt.sh SERVER
+EOF
+exit 1;
+fi
+
+SERVER="$1"
+
+incdir=`dirname $0`
+. $incdir/test_functions.sh
+
+SCRIPTDIR=../testprogs/ejs
+
+PATH=bin:$PATH
+export PATH
+
+for f in NBT-REGISTER NBT-WINS; do
+ testit "$f" bin/smbtorture $TORTURE_OPTIONS //$SERVER/_none_ $f || failed=`expr $failed + 1`
+done